{
  config,
  lib,
  pkgs,
  ...
}:

{
  # Miniflux configuration
  services.miniflux = {
    enable = true;
    adminCredentialsFile = config.age.secrets.miniflux.path;
  };

  # Microbin configuration
  services.microbin = {
    enable = true;
    passwordFile = config.age.secrets.microbin.path;
    settings = {
      MICROBIN_PORT = 9091;
      MICROBIN_PUBLIC_PATH = "https://bin.psydnd.org";
      MICROBIN_QR = true;
      MICROBIN_WIDE = true;
    };
  };

}
